| Home | Libraries | People | FAQ | More

## Struct template bitwise_and

boost::proto::bitwise_and — A metafunction for generating bitwise-and expression types, a grammar element for matching bitwise-and expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T, typename U>
    struct bitwise_and :  proto::transform< bitwise_and<T, U> > {
      // types
      typedef proto::expr< proto::tag::bitwise_and, proto::list2< T, U > > type;
      typedef type                                                         proto_base_expr;

      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<bitwise_and>::template impl<Expr, State, Data>
      {
      };
    };

## Description